Show / Hide Table of Contents

# Class RestVoiceRegion

Represents a REST-based voice region.

##### Inheritance

System.Object
RestEntity<System.String>
RestVoiceRegion

##### Implements

IEntity<System.String>
IVoiceRegion

##### Inherited Members

RestEntity<String>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestVoiceRegion : RestEntity<string>, IEntity<string>, IVoiceRegion

### Properties

| Improve this Doc View Source

#### IsCustom

##### Declaration

    public bool IsCustom { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsDeprecated

##### Declaration

    public bool IsDeprecated { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsOptimal

##### Declaration

    public bool IsOptimal { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsVip

##### Declaration

    public bool IsVip { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Implements

IEntity<TId>
IVoiceRegion